Skip to main content
POST
/
organizations
/
{organization_id}
/
worksites
/
{worksite_id}
/
contacts
/
list
Create Worksite Contacts Bulk
curl --request POST \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id}/contacts/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "name": "<string>",
    "email": "jsmith@example.com",
    "phone": {
      "phoneNumber": "<string>",
      "phoneType": "mobile"
    },
    "roles": []
  }
]
'
[
  {
    "name": "<string>",
    "id": "<string>",
    "email": "jsmith@example.com",
    "phone": {
      "phoneNumber": "<string>",
      "phoneType": "mobile"
    },
    "roles": []
  }
]

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
worksite_id
required

Body

application/json
name
string
required
email
string<email> | null
phone
DEPhoneNumber · object
roles
string[]

Response

Successful Response

name
string
required
id
string
required
email
string<email> | null
phone
DEPhoneNumber · object
roles
string[]